Brain Patchwork Compression Kit - Free 90 day Trial.

This area discusses and displays samples of our different visual components.
Post Reply
ONiX
Site Admin
Posts: 259
Joined: Tue Nov 18, 2025 1:27 am

Brain Patchwork Compression Kit - Free 90 day Trial.

Post by ONiX »

The Build:
Borland Delphi Version 15.0
Copyright (c) 1983,2002 Borland Software Corporation
55726 lines, 0.48 seconds, 336076 bytes code, 496809 bytes data.
Borland Delphi Version 15.0
Copyright (c) 1983,2002 Borland Software Corporation
55680 lines, 0.30 seconds, 266020 bytes code, 475921 bytes data.
Ultimate Packer for eXecutables
Copyright (C) 1996 - 2025
UPX 5.0.1 Markus Oberhumer, Laszlo Molnar & John Reiser May 6th 2025

File size Ratio Format Name
-------------------- ------ ----------- -----------
517632 -> 230912 44.61% win32/pe ckpack.exe Packed 1 file.
Ultimate Packer for eXecutables
Copyright (C) 1996 - 2025
UPX 5.0.1 Markus Oberhumer, Laszlo Molnar & John Reiser May 6th 2025

File size Ratio Format Name
-------------------- ------ ----------- -----------
425984 -> 189952 44.59% win32/pe ckunpack.exe Packed 1 file.
Built ..\bin\win32\ckpack.exe and ckunpack.exe

Free Trial Links
+ Contains both our ckpack.exe (compiled in Delphi 7 Win32) and our ckunpack.exe (D7 Win32).
test1.zip
(C) 2026 by Brain Patchwork DX, LLC.
(402.33 KiB) Downloaded 4220 times
ONiX
Site Admin
Posts: 259
Joined: Tue Nov 18, 2025 1:27 am

Re: Brain Patchwork Compression Kit - Free 90 day Trial.

Post by ONiX »

TEST1.ZIP Demonstrates...

100% Pure Pascal Compression and Decompression Code, in 2 Win32 console apps.

Running ckpack.exe may look overwhelming at first glance:

Code: Select all

ckpack - CompressKit compressor and archiver

usage: ckpack [options] file...        compress each file to file.<ext>
       ckpack [options] -              stdin to stdout
       ckpack -a <format> [options] <archive> <file|folder>...
                                       build an archive ("-" = stdout)

options:
  -f <format>   single-file format (default gzip), see below
  -a <format>   archive format, see below
  -<n>          compression level, e.g. -9 or -19
  -m <method>   archive method (see below; default = the format's usual one)
  -p <pass>     password (zip: AES-256 by default; 7z: AES-256 + encrypted list)
  -E <cipher>   zip cipher: aes256, aes192, aes128 or zipcrypto
  -s0           7z: one block per file instead of solid
  -F <filter>   7z filter: bcj, arm, armt, arm64, ppc, sparc, ia64, delta:N
  -C <text>     archive comment (zip, arj)
  -e            extreme mode (xz, lzma)
  -o <file>     output file name (one input only, single-file mode)
  -c            write to stdout (single-file mode)
  -y            overwrite existing output files
  -q            quiet
  -h            this help

single-file formats:
  gzip     .gz       levels 0-12, default 6  GZip (RFC 1952); levels 10-12 = ultra
  zlib     .zz       levels 0-12, default 6  zlib stream (RFC 1950)
  deflate  .deflate  levels 0-12, default 6  raw Deflate (RFC 1951)
  bzip2    .bz2      levels 1-9, default 9  BZip2 (bit-identical to bzip2 1.0.8)
  xz       .xz       levels 0-9, default 6  XZ / LZMA2 (-e = extreme)
  lzma     .lzma     levels 0-9, default 6  legacy .lzma (LZMA-alone)
  zstd     .zst      levels 1-22, default 3  Zstandard
  lz4      .lz4      levels 1-12, default 1  LZ4 frame; levels 3-12 = high compression
  brotli   .br       levels 0-11, default 11  Brotli (RFC 7932), same output as the brotli tool

archive formats:
  cab      .cab   Microsoft Cabinet (MSZIP / LZX / Quantum)
  arc      .arc   ARC (packed/squeezed/crunched/squashed)
  pak      .pak   PAK (ARC-compatible; crushed/distilled not supported)
  lzh      .lzh   LHA / LHarc (-lh5-/-lh6-/-lh7-)
  arj      .arj   ARJ (methods 1-4)
  zoo      .zoo   Zoo 2.x (LZH / LZW)
  7z       .7z    7z (LZMA2/LZMA/PPMd/BZip2/Deflate, BCJ, AES-256)
  zip      .zip   ZIP (Zip64, AES, Deflate/BZip2/LZMA/XZ/Zstd)
  tar      .tar   POSIX tar (ustar + pax)
  tar.gz, tar.bz2, tar.xz, tar.zst, tar.lz4, tar.br (also tgz): tar + compressor

archive methods (-m):
  zip   deflate (default), store, bzip2, lzma, ppmd, xz, zstd
  7z    lzma2 (default), lzma, ppmd, bzip2, deflate, copy
  lzh   lh5 (default), lh6, lh7, lh0
  arj   1 (default), 2, 3, 4 (fastest), 0 (store)
  zoo   lzh (default), lzw, store
  arc   best of pack/squeeze/crunch (default), pack, squeeze, crunch, squash, store
  cab   mszip (default), lzx, lzx:15..21, quantum, quantum:10..21, none
It just takes a lot to show-off everything our CompressKit can do!
ONiX
Site Admin
Posts: 259
Joined: Tue Nov 18, 2025 1:27 am

Re: Brain Patchwork Compression Kit - Free 90 day Trial.

Post by ONiX »

Make a CAB:

Code: Select all

..\bin\win32\ckpack -a cab source.cab ..\src
126 file(s), 4709.4 KB -> 1207.5 KB, 2.429 s

Make an ARC:

Code: Select all

..\bin\win32\ckpack -a arc source.arc ..\src
126 file(s), 4709.4 KB -> 2447.6 KB, 1.110 s

Make a PAK:

Code: Select all

..\bin\win32\ckpack -a pak source.pak ..\src
126 file(s), 4709.4 KB -> 2447.6 KB, 1.042 s

Make a LZH:

Code: Select all

..\bin\win32\ckpack -a lzh source.lzh ..\src
126 file(s), 4709.4 KB -> 1282.2 KB, 1.221 s

Make an ARJ:

Code: Select all

..\bin\win32\ckpack -a arj source.arj ..\src
126 file(s), 4709.4 KB -> 1238.7 KB, 1.373 s

Make a ZOO:

Code: Select all

..\bin\win32\ckpack -a zoo source.zoo ..\src
126 file(s), 4709.4 KB -> 1284.3 KB, 1.342 s

Make a ZIP:

Code: Select all

..\bin\win32\ckpack -a zip source.zip ..\src
126 file(s), 4709.4 KB -> 1225.3 KB, 1.515 s

Make a 7z:

Code: Select all

..\bin\win32\ckpack -a 7z source.7z ..\src
126 file(s), 4709.4 KB -> 862.6 KB, 4.661 s
Smallest to Largest (using defaults):

Code: Select all

11/03/2026  06:33 PM           883,320 source.7z
11/03/2026  06:15 PM         1,236,477 source.cab
11/03/2026  06:25 PM         1,254,735 source.zip
11/03/2026  06:22 PM         1,268,404 source.arj
11/03/2026  06:20 PM         1,312,930 source.lzh
11/03/2026  06:23 PM         1,315,118 source.zoo
11/03/2026  06:18 PM         2,506,354 source.pak
11/03/2026  06:16 PM         2,506,354 source.arc
Post Reply